package cn.com.wasu.main.systeminfo;

import java.util.ArrayList;
import java.util.List;

public class SystemInfo {
	
	public static List<String> getSystemInfo() {
		ArrayList<String> systemInfos = new ArrayList<String>();
		systemInfos.add("系统Borad：" + android.os.Build.BOARD);
//		systemInfos.add("固件版本信息：" + android.os.Build.getRadioVersion());
		systemInfos.add("产品名称：" + android.os.Build.MODEL);
		systemInfos.add("开发代号：" + android.os.Build.VERSION.CODENAME);
		systemInfos.add("SDK版本号：" + android.os.Build.VERSION.SDK_INT);
		systemInfos.add("引导程序版本号：" + android.os.Build.BOOTLOADER);
		systemInfos.add("指令集名称：" + android.os.Build.CPU_ABI);
		systemInfos.add("第二指令集：" + android.os.Build.CPU_ABI2);
		systemInfos.add("品牌名称：" + android.os.Build.BRAND);
		systemInfos.add("设备名称：" + android.os.Build.DEVICE);
		systemInfos.add("显示给用户的固件版本信息：" + android.os.Build.DISPLAY);
		systemInfos.add("指纹信息：" + android.os.Build.FINGERPRINT);
		systemInfos.add("硬件名称：" + android.os.Build.HARDWARE);
		systemInfos.add("主机名称：" + android.os.Build.HOST);
		systemInfos.add("ID：" + android.os.Build.ID);
		systemInfos.add("硬件生产商：" + android.os.Build.MANUFACTURER);
		systemInfos.add("SERIAL整个产品的名称：" + android.os.Build.PRODUCT);
		systemInfos.add("TAGS整个产品的名称：" + android.os.Build.SERIAL);
		systemInfos.add("Build描述标签：" + android.os.Build.TAGS);
		systemInfos.add("系统时间：" + android.os.Build.TIME);
		systemInfos.add("用户：" + android.os.Build.USER);
		systemInfos.add("Build类型：" + android.os.Build.TYPE);
		return systemInfos;
	}
	
}
